<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>test</title>
</head>
<body>

<!--<title>Book sort</title>-->

<!--   У вас есть массив книг books. Ваша задача создать из него два массива - goodBooks и badBooks.
В первый входят все книни, автор которых - не Донцова. Во второй - книги, автор которых - Донуцова. Потому что:
  http://cdn01.ru/files/users/images/15/5c/155c1d353f38ac999440fee98d912f45.jpg
  -->

<!--<script>-->
<!--    let books = [{author: "Скотт Бэккер", book: "Князь пустоты"}, {-->
<!--        author: "Донцова",-->
<!--        book: "Старуха Кристи – отдыхает!"-->
<!--    }, {author: "Скотт Бэккер", book: "Тьма, что приходит прежде"}, {-->
<!--        author: "Скотт Бэккер",-->
<!--        book: "Воин-пророк"-->
<!--    }, {author: "Скотт Бэккер", book: "Тысячекратная мысль"}, {-->
<!--        author: "Донцова",-->
<!--        book: "Диета для трех поросят"-->
<!--    }, {author: "Скотт Бэккер", book: "Аспект-император"}, {-->
<!--        author: "Скотт Бэккер",-->
<!--        book: "Око Судии"-->
<!--    }, {author: "Скотт Бэккер", book: "Воин Доброй удачи"}, {-->
<!--        author: "Донцова",-->
<!--        book: "Идеальное тело Пятачка"-->
<!--    }, {author: "Скотт Бэккер", book: "Великая Ордалия"}, {-->
<!--        author: "Скотт Бэккер",-->
<!--        book: "Нечестивый Консульт"-->
<!--    }, {author: "Скотт Бэккер", book: "Не-Бог"}, {-->
<!--        author: "Скотт Бэккер",-->
<!--        book: "Истории о Злодеяниях"-->
<!--    }, {author: "Донцова", book: "Идеальное тело Пятачка"}, {-->
<!--        author: "Скотт Бэккер",-->
<!--        book: "Ложное солнце"-->
<!--    }, {author: "Донцова", book: "Дед Снегур и Морозочка"}, {-->
<!--        author: "Скотт Бэккер",-->
<!--        book: "Четыре Откровения Киниал’джина"-->
<!--    }, {author: "Донцова", book: "Инь, янь и всякая дрянь"}, {author: "Скотт Бэккер", book: "Нож, что всем по руке"}];-->


<!--let badBooks = books.filter(item => item.author === "Донцова");-->
<!--let goodBooks = books.filter(item => item.author !== "Донцова");-->

<!--console.log(badBooks);-->
<!--console.log(goodBooks);-->





<!--English breakfast exercise-->

<!--</script>-->
<!--   У вас есть массив строк, каждая строка - один продукт, который входит в состав английского завтрака. Напишите код, который работает так: если в состав завтрака входит больше 4х продуктов, то остальные переносятся на обед.
-->





<!--    /* в результате массив englishBreakfast должен быть равен:-->
<!--    englishBreakfast = ["поджареный бекон", "колбаски", "яичница", "жареные грибы"];-->

<!--    и должен появится еще массив dinner, со значениями:-->
<!--    dinner = ["жареные помидоры", "фасоль", "хлеб с джемом", "кофе"];-->
<!--    */-->

<script>
    const englishBreakfast = ["поджареный бекон", "колбаски", "яичница", "жареные грибы", "жареные помидоры", "фасоль", "хлеб с джемом", "кофе"];

    let dinner = englishBreakfast.splice(0, 4);

    console.log(dinner);
    console.log(englishBreakfast);

</script>


</body>
</html>